Interactions represent communications with a borrower.
Whenever Peach communicates with a borrower an interaction is recorded.
Additionally, communications taking place outside of Peach should be recorded as interactions.
Past interactions information is used by Compliance Guard to make decisions about when and how it is appropriate to communicate again with a borrower.
Security
oauth2(Required scopes: interaction:read) or bearerAuth or apiKeyHeader
GET
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X GET \
'https://sandboxapi.peach.finance/api/companies/{companyId}/interactions/{interactionId}/call-transcripts/summaries?limit=25&startingAfter=string&endingBefore=string&offset=0&status=pending&aICallTranscriptionResultId=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Success
Response
{ "count": 0, "nextUrl": "string", "previousUrl": "string", "status": 0, "total": 0, "data": [ { … } ] }